Package wx :: Package lib :: Module pydocview :: Class WindowMenuService

[frames | no frames]

## Type WindowMenuService

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
            DocService --+
                         |
                        WindowMenuService

The WindowMenuService is a service that implements a standard Window menu that is used by the DocSDIFrame. The MDIFrame automatically includes a Window menu and does not use the WindowMenuService.

Method Summary
| ``__init__`(self)` Initializes the WindowMenu and its globals.
| ``BuildWindowMenu`(self, currentFrame)` Builds the Window menu and adds menu items for all of the open documents in the DocManager.
| ``InstallControls`(self, frame, menuBar, toolBar, statusBar, document)` Installs the Window menu.
| ``OnArrangeWindows`(self, event)` Called by Window/Arrange and tiles the frames on the desktop.
| `OnCtrlKeySelect(self, event)`
| ``OnSelectMoreWindows`(self, event)` Called when the "Window/Select More Windows..." menu item is selected and enables user to select from the Frames that do not in the Window list.
| ``OnSelectWindowMenu`(self, event)` Called when the Window menu item representing a Frame is selected and brings the selected Frame to the front of the desktop.
| ``ProcessEvent`(self, event)` Processes a Window menu event.
| ``ProcessUpdateUIEvent`(self, event)` Updates the Window menu items.

Property Summary

Class Variable Summary
`int` | `ARRANGE_WINDOWS_ID` = 146
`int` | `CLOSE_CURRENT_WINDOW_ID` = 150
`int` | `SELECT_MORE_WINDOWS_ID` = 147
`int` | `SELECT_NEXT_WINDOW_ID` = 148
`int` | `SELECT_PREV_WINDOW_ID` = 149

Method Details

### __init__(self)
(Constructor)

Initializes the WindowMenu and its globals.

  Overrides:
    `wx.lib.pydocview.DocService.__init__`

### BuildWindowMenu(self, currentFrame)

Builds the Window menu and adds menu items for all of the open documents in the DocManager.

### InstallControls(self, frame, menuBar=None, toolBar=None, statusBar=None, document=None)

Installs the Window menu.

  Overrides:
    `wx.lib.pydocview.DocService.InstallControls`

### OnArrangeWindows(self, event)

Called by Window/Arrange and tiles the frames on the desktop.

### OnSelectMoreWindows(self, event)

Called when the "Window/Select More Windows..." menu item is selected and enables user to select from the Frames that do not in the Window list. Useful when there are more than 10 open frames in the application.

### OnSelectWindowMenu(self, event)

Called when the Window menu item representing a Frame is selected and brings the selected Frame to the front of the desktop.

### ProcessEvent(self, event)

Processes a Window menu event.

  Overrides:
    `wx.lib.pydocview.DocService.ProcessEvent`

### ProcessUpdateUIEvent(self, event)

Updates the Window menu items.

  Overrides:
    `wx.lib.pydocview.DocService.ProcessUpdateUIEvent`

Class Variable Details

### ARRANGE_WINDOWS_ID

  Type:
    `int`
  Value:

        146

### CLOSE_CURRENT_WINDOW_ID

  Type:
    `int`
  Value:

        150

### SELECT_MORE_WINDOWS_ID

  Type:
    `int`
  Value:

        147

### SELECT_NEXT_WINDOW_ID

  Type:
    `int`
  Value:

        148

### SELECT_PREV_WINDOW_ID

  Type:
    `int`
  Value:

        149

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:38 2007 | http://epydoc.sf.net